Bug 251617 - pm-utils sets the VM background timeout to 300 milliseconds!
Summary: pm-utils sets the VM background timeout to 300 milliseconds!
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: wakeup 418441
TreeView+ depends on / blocked
 
Reported: 2007-08-10 03:33 UTC by Arjan van de Ven
Modified: 2015-03-05 01:19 UTC (History)
5 users (show)

Fixed In Version: pm-utils-0.99.4-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-18 09:21:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arjan van de Ven 2007-08-10 03:33:18 UTC
Description of problem:

the laptop-tools script sets the VM background write timeout to 30 milliseconds;
this is INSANE. It keeps the disk extremely busy, waking it up all the time,
negating any power savings that the VM caches give you, and it also really
really sucks for peformance.

Comment 1 Osma Ahvenlampi 2007-08-10 23:48:39 UTC
Actually, no, it sets the timeout to 0.3 seconds, which is rather reasonable in
terms of "this data should be written to disk" while the computer is on AC power.

>       # Set dirty page values
>       echo $DIRTY_WRITEBACK > /proc/sys/vm/dirty_writeback_centisecs
>       echo $DIRTY_EXPIRE > /proc/sys/vm/dirty_expire_centisecs
...
>               DIRTY_WRITEBACK=30
>               DIRTY_EXPIRE=30

At least, that's what it does on an up-to-date Fedora 7.

Comment 2 Arjan van de Ven 2007-08-11 03:10:19 UTC
you're right about the 300msec part...

but I strongly disagree about this being appropriate or reasonable....
The kernel default is 5 seconds and that is on the conservative side. .3 
seconds destroys most of the IO clustering Linux will do to IO, hurting IO 
performance significantly. .3 seconds keeps the disks and SATA from using 
power save mode, costing more power. (And "more power use" is not just an 
issue for machines on battery, it's *very* relevant to servers and even 
desktop machines)



Comment 3 Phil Knirsch 2007-08-13 16:04:17 UTC
That sounds really very wrong.

Peter Jones is ripping out the code upstream now, will be building new packages
once a new version is out.

Read ya, Phil

Comment 4 Till Maas 2007-09-13 05:21:38 UTC
A new package for devel is available, that should fix this bug.

Comment 5 Till Maas 2008-05-18 09:21:31 UTC
I assume this is fixed, please reopen in case it is not.


Note You need to log in before you can comment on or make changes to this bug.